#ifndef APPWIDGETCOMMON_H
#define APPWIDGETCOMMON_H

namespace AppWidget {

class AppWidgetCommon
{
public:
    static int getProviderIndexFromdecodeAppWidgetId(const int id) {
        int sum = id;
        int index = (sum >> 16) & (int)0xffff;
        return index;
    }
    static int getWidgetIndexFromdecodeAppWidgetId(const int id) {
        int sum = id;
        int index = sum & (int)0xffff;
        return index;
    }
    static int createAppWidgetId(const int providerindex, const int appwidgetindex) {
        int index1 = providerindex;
        int index2 = appwidgetindex;
        int  id;
        id = (index1 << 16) | index2;
        return id;
    }
};

} // namespace AppWidget
#endif // APPWIDGETCOMMON_H
