#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTimer>
#include <QSettings>
#include <QDBusInterface>
#include <QStandardItemModel>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();

private:
    Ui::MainWindow *ui;
    QWidget * wid = nullptr;


    QTimer *timer = nullptr;
    QSettings * setting = nullptr;
    QDBusInterface *appwidgetinterface = nullptr;

    QStandardItemModel * itemmode = nullptr;

};
#endif // MAINWINDOW_H
