#ifndef CLOCKPROVIDER_H
#define CLOCKPROVIDER_H

#include <kappwidgetprovider.h>

#include <QDateTime>
#include <QVariant>

namespace AppWidget {
class KAppWidgetManager;
}

class QTimer;
class QSettings;
class QDBusInterface;
class ClockProvider:public AppWidget::KAppWidgetProvider
{
public:
    ClockProvider(QString providername = "clock",QObject *parent = nullptr);
    void appWidgetRecevie(const QString &eventname, const QString &widgetname, const QDBusVariant &value);
    void appWidgetUpdate();
    void appWidgetDisable();
    void appWidgetDeleted();
    void appWidgetEnable();
    void appWidgetClicked(const QString &widgetname, const QDBusVariant &value);
private:
    AppWidget::KAppWidgetManager * manager = nullptr;
    QDBusInterface *searchinterface = nullptr;
    QVariant m_date;
    QDateTime dateTime;
    QTimer *timer;
    QSettings *setting = nullptr;
};

#endif // CLOCKPROVIDER_H
