#include "searchprovider.h"

#include <QDBusPendingCall>
#include <QDBusInterface>
#include <QDebug>

SearchProvider::SearchProvider(QString providername ,QObject *parent)
    : KAppWidgetProvider(providername , parent)
{
    searchinterface = new QDBusInterface("com.ukui.search.service",
                                         "/",
                                         "org.ukui.search.service",
                                         QDBusConnection::sessionBus());
}
void SearchProvider::appWidgetRecevie(const QString &eventname, const QString &widgetname, const QDBusVariant &value)
{
    Q_UNUSED(eventname);
    Q_UNUSED(widgetname);
    Q_UNUSED(value);
    qDebug() << "TestProvider::appWidgetRecevie";
}
void SearchProvider::appWidgetUpdate()
{
    qDebug() << "TestProvider::appWidgetUpdate";
}
void SearchProvider::appWidgetDisable()
{
    qDebug() << "TestProvider::appWidgetDisable";
}
void SearchProvider::appWidgetDeleted()
{
    qDebug() << "TestProvider::appWidgetDeleted";
}
void SearchProvider::appWidgetEnable()
{
    qDebug() << "TestProvider::appWidgetEnable";
}
void SearchProvider::appWidgetClicked(const QString &widgetname, const QDBusVariant &value)
{
    qDebug() << "TestProvider::appWidgetClicked";
    qDebug() << widgetname << value.variant();
    searchinterface->asyncCall("showWindow");
}
