#ifndef SEARCHPROVIDER_H
#define SEARCHPROVIDER_H

#include <kappwidgetprovider.h>

class QDBusInterface;
class SearchProvider : public AppWidget::KAppWidgetProvider
{
public:
    SearchProvider(QString providername = "search",QObject *parent = nullptr);
    void appWidgetRecevie(const QString &eventname, const QString &widgetname, const QDBusVariant &value);
    void appWidgetUpdate();
    void appWidgetDisable();
    void appWidgetDeleted();
    void appWidgetEnable();
    void appWidgetClicked(const QString &widgetname, const QDBusVariant &value);

private:
    QDBusInterface *searchinterface = nullptr;
};

#endif // SEARCHPROVIDER_H
