#ifndef APPWIDGETCONFIGURATION_H
#define APPWIDGETCONFIGURATION_H

#include <QObject>

namespace AppWidget{
class AppWidgetConfiguration : public QObject
{
    Q_OBJECT
public:
    explicit AppWidgetConfiguration(QObject *parent = nullptr);
    QString getProviderNameByAppWidgetName(const QString &appwidgetname);
    //获取ui文件
    QString getAppWidgetUiFile(const QString &appwidgetname);
    //获取属性
    QString getAppWidgetConfig(const QString &appwidgetname, const QString &config);
    //获取所有属性
    QMap<QString, QVariant> getAppWidgetConfigs(const QString &appwidgetname);
    //各个属性的获取函数
    QString getConfigurationByKey(const QString &path, const QString &key);
};
} // namespace AppWidget
#endif // APPWIDGETCONFIGURATION_H
